Name:           python-deepmerge
Version:        2.0
Release:        1%{?dist}
Summary:        Toolset for deeply merging Python dictionaries

License:        MIT
URL:            http://deepmerge.readthedocs.io/en/latest/
Source:         %{pypi_source deepmerge}

BuildArch:      noarch
BuildRequires:  python3-devel
# Not using auto dev deps to avoid unwanted style and lint dependencies
BuildRequires:  python3-pytest


%global _description \
%{summary}.

%description %_description

%package -n     python3-deepmerge
Summary:        %{summary}

%description -n python3-deepmerge %_description

%prep
%autosetup -p1 -n deepmerge-%{version}

# Move tests out of the package path
mv deepmerge/tests tests


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l deepmerge


%check
%pyproject_check_import
%pytest


%files -n python3-deepmerge -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Wed Jun 11 2025 Neal Gompa <ngompa@fedoraproject.org> - 2.0-1
- Initial package

